using System;
using System.Collections.Generic;
using System.Text;

namespace IrrlichtNetSwig
{
    public partial class IDynamicMeshBuffer
    {
        public override S3DVertex[] getVerticesAsS3DVertex()
        {
            return _getVerticesAsS3DVertex().ToArray();
        }
        public override S3DVertex2TCoords[] getVerticesAsS3DVertex2TCoords()
        {
            return _getVerticesAsS3DVertex2TCoords().ToArray();
        }
        public override S3DVertexTangents[] getVerticesAsS3DVertexTangents()
        {
            return _getVerticesAsS3DVertexTangents().ToArray();
        }
        public override ushort[] getIndices()
        {
            return _getIndices().ToArray();
        }
    }
}
